# SMS send

An action block that sends an SMS without user interaction.

If the proceed option is set to Immediately, then the fiber will proceed immediately without pause, before the SMS is sent. If set to When sent, then the fiber will pause until the SMS has been sent to the carrier/gateway. If set to When delivered, then the fiber will pause until the SMS has been delivered to the recipient.

A message longer than 160 characters will be split into multiple parts, each sent as a separate SMS. Set multipart limit to truncate the message to a maximum number of parts. The multipart count output variable is assigned the number of actual parts the message was split into, i.e. the number of SMS sent, if successful.

Automate limits the rate of SMS sent with this block. The rate can be configured in settings.

Note! If this block succeed without any error message but the SMS isn’t delivered, try prefixing the phone number with an (+) country calling code.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Phone number — phone number that should be delivered to.
- Subscription id — id of subscription (SIM) used to send message, default is the system default SMS subscription.
- Message — message text.
- Multipart limit — maximum number of parts sent when a message is split, default is 1.
- Hidden — whether the message should be hidden from to the messaging app. (deprecated)

## Output variables

- Multipart count — variable to assign the number of parts the message was split into.